/**
 * 引入指令
 * @Author: huangjq
 * @Date:   2019-04-08
 * @Project jz
 */
import translate from "./code";
import permission from "./permission";
import time from "./time";

const install = function(Vue) {
    Vue.directive("translate", translate);
    Vue.directive("permission", permission);
		Vue.directive("format",time);
};

/* istanbul ignore if */
if (typeof window !== "undefined" && window.Vue) {
    install(window.Vue);
}

export default {
    version: "1.0.0",
    install
};
